Creates a new purchase order order line

Request Information

URI Parameters :

None.

Body Parameters :

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "ebc06f53-12e1-4a49-af46-909a175f7f0f",
  "purchase_order_id": "b50f0bcf-27f5-4de0-9292-7fcb6dda859d",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "799af6d6-33cb-454d-a81d-095f15e0b3b7",
    "id2": 2,
    "jobs_id": "1e518bdf-5435-4a0e-85f8-20bb222084c6",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "c5473ef0-03b5-424c-ad1c-06a7fca81b0c",
    "supplier_company_code": "sample string 6",
    "user_id": "552ce307-6c4e-432f-af3f-2ae795567fba",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-11-17T12:15:58.4829059+00:00",
    "date_update": "2026-11-17T12:15:58.4829059+00:00",
    "date_delivery": "2026-11-17T12:15:58.4829059+00:00",
    "confirmed_date_delivery": "2026-11-17T12:15:58.4829059+00:00",
    "delivery_db_address_id": "2c8b8936-c767-4a06-a28e-9ff11d50cb1c",
    "approved_by_user_id": "f964b607-ba91-4686-b6f1-0bcdaefa69a7",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "a86475cc-b2dc-4b92-b928-6493e724bd3e",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "2e4b4d82-401e-4533-8d11-e1543f5a45bb",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "91e3bdf9-a0d8-4cf4-8921-c7e8be00b734",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-11-17T12:15:58.4829059+00:00"
  },
  "article_id": "2fba3d11-51ed-4086-993b-9abd2e0add18",
  "article_code": "sample string 5",
  "article": {
    "id": "18bcc41c-0533-48d6-91df-78b0a47fd110",
    "article_category_id": "b1fa4b5d-e4fb-4008-ac06-7e1a9c28e8cd",
    "article_category": {
      "id": "81cfde29-4979-448e-a125-15d42dff98dc",
      "parent_id": "328ea28d-3fdf-48aa-986e-40f5014d5488",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-11-17T12:15:58.4829059+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "35475a8d-1fab-4fa1-b451-f102cbc9cfdc",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "2e86800d-739d-4162-99a6-b7aa675f0273",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "2fd9b201-add7-4dc3-8bd3-10117df91614",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "a1b1b290-293f-44e9-903a-5befa3eb0fa0",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "c9267b36-6abd-4d9a-a20d-c652b3e417cc",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "302f7c27-593c-4f25-af47-15f0e3d65eac",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-11-17T12:15:58.4829059+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-11-17T12:15:58.4829059+00:00",
    "date_update": "2026-11-17T12:15:58.4829059+00:00",
    "modified_dateutc": "2026-11-17T12:15:58.4829059+00:00",
    "article_color_id": "0f13cb03-9d3c-4b08-baae-3cda642ab0a8",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "9082629b-6649-4c49-9ad1-73b41ba678da",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-11-17T12:15:58.4829059+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "aacb69ef-5a9e-4287-b52c-90fe7eb27f72",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "8f318d3d-d7fc-4003-8cb8-9ea3eebe01d5",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-11-17T12:15:58.4944259+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.